#!/bin/sh

# parameters:
PID_FILE="$1"
APP_DATA="$2"
SYNOPKG_PKGDEST="$3"
BUBBLE_HOME="$4"
BUBBLE_USER="$5"
JAVA_HOME="$6"

# options:
BUBBLEUPNP_OPTS="-nologstdout -logFileMaxSize 250000 -dataDir $BUBBLE_HOME/$APP_DATA"
JVM_OPTS="-Xss256k -Djava.awt.headless=true -Djava.net.preferIPv4Stack=true"

# check for an existing application data directory
[ ! -d "$BUBBLE_HOME/$APP_DATA" ] && mkdir "$BUBBLE_HOME/$APP_DATA" && chown -R "$BUBBLE_USER" "$BUBBLE_HOME/$APP_DATA"

# call BubbleUPnP Server by the daemon user and write the pid of the Java process to PID_FILE
export "SYNOPKG_PKGDEST" "JVM_OPTS" "BUBBLEUPNP_OPTS" "JAVA_HOME"
su "$BUBBLE_USER" -s /bin/sh -c 'cd "$SYNOPKG_PKGDEST"; LD_LIBRARY_PATH="$SYNOPKG_PKGDEST/libext" PATH="$SYNOPKG_PKGDEST/binext":$PATH "$JAVA_HOME/bin/java" $JVM_OPTS -jar BubbleUPnPServerLauncher.jar $BUBBLEUPNP_OPTS > /dev/null 2>&1 & echo $!' > "$PID_FILE"

exit 0
